Download para o Linux

A última versão do calibre é 4.1.0. Novidades.

Por favor não utilize o seu pacote de distribuição do calibre fornecido, pois muitas vezes possuem erros e são desatualizados. Em vez disso, utilize os instaladores binários descritos abaixo.

Instaladores binários

O calibre tem um instalador binário que inclui versões próprias de todas as suas dependências. Ele roda em máquinas Intel de 32-bit e 64-bit. Para instalar ou atualizar, simplesmente copie e cole o seguinte comando em um terminal e pressione Enter:

sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin

Enquanto você espera a conclusão do download, por favor considere contribuir para apoiar o desenvolvimento do calibre.

Nota

  • Se você receber um erro sobre um certificado não confiável, isso significa que o seu computador não possui nenhum certificado raiz instalado e portanto não pode baixar o instalador de maneira segura. Se ainda assim você desejar prosseguir, passe a opção -no-check-certificate to wget, desta maneira:
    sudo -v && wget --no-check-certificate -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
  • Você deve ter xdg-utils, wget, xz-utils e python ≥ 2.6 instalados no seu sistema antes de executar o instalador.
  • Você pode desinstalar o calibre executando o comando sudo calibre-uninstall. Alternativamente, simplesmente deletando o diretório de instalação irá remover 99% dos arquivos instalados.
  • Você precisa da GLIBC 2.18 ou mais recente e libstdc++.so.6.0.21 (de gcc 5.4.0) ou mais recente para executar o calibre
  • Você pode alterar o diretório no qual o calibre está instalado a partir do (/opt) padrão assim:
    sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin install_dir=/opt
    Altere o /opt acima para qualquer diretório no qual deseja que o calibre seja instalado.
  • Você também pode fazer uma instalação "isolada" que manipula somente arquivos dentro do diretório de instalação e não necessita de ser executado como root, assim:
    wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sh /dev/stdin install_dir=~/calibre-bin isolated=y

Reverting to a previous version

You can install a previous calibre release, like this:

sudo -v && sudo calibre-uninstall && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin version=3.48.0
Change 3.48.0 above to whatever version you want installed.

Manual binary install

Se você deseja reverter para uma versão anterior do calibre ou baixar uma atualização do calibre manualmente, baixe uma tarball daquela versão daqui (escolha a versão 32-bit ou 64-bit, como apropriado). Imaginando que você queria o calibre no /opt/calibre, execute o seguinte comando, alterando o caminho para o calibre-tarball.txz abaixo como apropriado:

    sudo mkdir -p /opt/calibre && sudo rm -rf /opt/calibre/* && sudo tar xvf /path/to/downloaded/calibre-tarball.txz -C /opt/calibre && sudo /opt/calibre/calibre_postinstall
    

Instalação da fonte

AVISO: o calibre é um software altamente complexo com muitas dependências complicadas. Se você deseja instalar a partir da fonte, você está por conta própria. Por favor não crie relatórios de erro esperando qualquer forma de suporte. Você foi avisado.

Se você ainda está determinado a instalar a partir da fonte, continue lendo:

  1. Certifique-se de que o seu sistema tem o python 2 instalado.
  2. Instale a vária dependências listadas abaixo
  3. Execute os seguintes comandos em um terminal:
curl -L https://calibre-ebook.com/dist/src | tar xvJ 
cd calibre*
sudo python2 setup.py install
        


Dependências

A lista atualizada de dependências que são empacotadas juntamente com os binários oficiais do calibre, pode ser vista em sources.json. Embora o calibre possa trabalhar com outras versões das dependências listadas lá, isso não é testado/suportado. Além dessas dependências, vários itens requeridos durante a compilação, como pkg-config, um compilador C/C++, etc, são necessários.

Escolha o idioma que deseja